//
//  WorkExpInfoPreviewModel.swift
//  galaxy
//
//  Created by davidhuangA on 2024/3/5.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

//优才新政 - 2024优才新政
class YHWorkExpInfoPreview_NewModel : SmartCodable {
    var list : [YHWorkExpInfoPreviewDetail_NewModel]?
    var why_work_time_overlap : String = ""
    var why_work_time_empty : String = ""
    required init() {
    }
}

class YHWorkExpInfoPreviewDetail_NewModel : SmartCodable {
    var work_id : Int = 0
    var company_name : String = ""
    var is_ipo_company : Bool = false
    var has_company_equity : Bool = false
    var has_sales_reached : Bool = false
    var has_ipo_company_equity : Bool = false
    var has_ipo_sales_reached : Bool = false
    var enter_time : String = ""
    var leave_time : String = ""
    var work_certificate : String = ""
    var professional_level : String = ""
    var work_duty : String = ""
    var work_highlights : String = ""
    var company_location : String = ""
    var attachment_list : [WorkExpFilePreviewModel] = []
    var position_list : [YHWorkExpPosition_NewModel] = []
    
    required init() {
    }
}

class YHWorkExpFilePreview_NewModel : SmartCodable {
    var file_name: String  = ""
    var file_url: String  = ""
    var file_size : Int = 0
    required init() {
    }
}

class YHWorkExpPosition_NewModel : SmartCodable {
    
    var position_name : String = ""
    var wduty : String = ""
    var entry_time : String = ""
    var departure_time : String = ""
    var experience_scope : String = ""
    var experience_sub_scope : String = ""
    var is_international_work_experience : Bool = false
    var work_country : String = ""
    var work_city : String = ""
    
    required init() {
    }
    
}

//旧优才
class YHWorkExpInfoPreviewModel: SmartCodable {
    var list : [WorkExpInfoPreviewDetailModel]?
    var count : Int = 0
    required init() {
    }
}



class WorkExpInfoPreviewDetailModel: SmartCodable {
    var id: Int  = 0
    var order_id: Int  = 0
    var company_name: String  = ""
    var is_famous_enterprise: Int  = 0
    var duty: String  = ""
    var entry_time: String  = ""
    var departure_time: String  = ""
    var industry: String  = ""
    var location: AddressPreviewModel?
    var location_aboard: Int  = 0
    var professional_level: Int  = 0
    var professional_other: String  = ""
    var position: String  = ""
    var remark: String  = ""
    var old_id: Int  = 0
    var created_at: String  = ""
    var updated_at: String  = ""
    var is_show: Int = 1 //1.保存会显示到列表上
    var deleted_at: String  = ""
    var operator_name: String  = ""
    var operator_english_name: String  = ""
    var operator_id: Int  = 0
    var work_certificate: String  = ""
    var executives_certificate: String  = ""
    var is_executives: Int  = 0
    var wduty: String  = ""
    var highlights: String  = ""
    var file: [WorkExpFilePreviewModel]?
    var not_need_upload_file: Int  = 0
    var company_member_total: Int  = 0
    var administrative_level: Int  = 0
    var company_manage_total: Int  = 0
    var top_manager_start_at: String  = ""
    var top_manager_end_at: String  = ""
    var master_of_important_project: Int  = 0
    var match_listing: Int  = 0
    var is_synthetic: Int  = 0
    var step: Int  = 0
    var create_from_appid: Int  = 0
    var update_from_appid: Int  = 0
    var international_work_experience: Int  = 0
    var turnover: Int  = 0
    var business_nature: String  = ""
    var company_website: String  = ""
    var company_introduce: String  = ""
    var business_remark: String  = ""
    var is_project_introduction: Int  = 0
    var customer_center_id: Int  = 0
    var projects: [ProjectPreviewModel]?
    
    required init() {
        
    }
}

class WorkExpFilePreviewModel: SmartCodable {
    var fileName : String  = ""
    var fileUrl : String  = ""
    var fileSize : Int = 0
    
    required init() {
    }
}


class AddressPreviewModel: SmartCodable {
    var area: [String] = []
    var country: String  = ""
    var details: String  = ""
    var foreign: String  = ""
    required init() {
    }
}

class ProjectPreviewModel: SmartCodable {
    var id: Int  = 0
    var order_id: Int  = 0
    var work_id: Int  = 0
    var project_name: String = ""
    var project_start_time: String = ""
    var project_end_time: String = ""
    var project_highlights: String = ""
    var update_from_appid: Int  = 0
    var create_from_appid: Int  = 0
    var customer_center_id: Int  = 0
    
    var created_at: String = ""
    var updated_at: String = ""
    var deleted_at: String = ""
    required init() {
    }
}
